#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n,x,t,maxi,mini,p;
    cin>>n>>x;
    maxi=0;
    mini=0;
    for(int i=0;i<n;i++)
    {
        cin>>t;
        p=t-x;
        if(p>maxi) maxi=p;
        if(p<mini) mini=p;
    }
    if(x==mini) cout<<abs(maxi);
    if(x==maxi) cout<<abs(mini);
    if(x!=mini && x!=maxi && (abs(mini)>=abs(maxi))) cout <<2*abs(maxi)+abs(mini);
    if(x!=mini && x!=maxi && (abs(mini)<abs(maxi))) cout <<abs(maxi)+2*abs(mini);

}